package com.huigou.topsun.ep.change.application;

import com.huigou.topsun.ep.change.domain.EpChangeFormStockItem;
import com.huigou.topsun.ep.change.domain.query.EpChangeFormQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/06/19/11:44
 * @Description:
 */
public interface EpChangeFormStockItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/ep/change/epChangeForm.xml";
    Map<String,Object> findByEpChangeFormId(EpChangeFormQueryRequest queryRequest);

    void saveEpChangeFormStockItems(String epChangeFormId,List<EpChangeFormStockItem> epChangeFormStockItems);

    void deleteItems(List<String> ids);

    Map<String, Object> findByOldId(EpChangeFormQueryRequest queryRequest);
}
